Update the mode of the device.
Device Token for SDK operations. Obtain via: GET /api/haptics/device/device_token Format: {device_id}-{1|2}-{random} Note: ApiToken (from POST /device/otp/confirm) can also be used for most SDK endpoints.
Device operation protocol.
HDC: Haptic Direct Control - protocol for direct device control. User can set position & velocity or position & time it will take to get the receiver there.
HSC: Haptic Script Control - protocol for controlling script playback. The script is sent to device by passing the link. After script dowloaded by device, server controls device with start, stop, pause commands.
HPS: Haptic Points Stream - protocol for streaming device position signals. The stroker movement velocity is calculated on device and is based on time difference between signals. At least two signals needed to move the stroker.
HLC: Haptic Loop Control - protocol for simple up/down stroking without the need for data points. It only needs stroker velocity percentage and min/max positions for stroking range to create a loop and move according provided range.
hdc, hsc, hps, hlc "hdc"
Updated Device Mode
Device operation protocol.
HDC: Haptic Direct Control - protocol for direct device control. User can set position & velocity or position & time it will take to get the receiver there.
HSC: Haptic Script Control - protocol for controlling script playback. The script is sent to device by passing the link. After script dowloaded by device, server controls device with start, stop, pause commands.
HPS: Haptic Points Stream - protocol for streaming device position signals. The stroker movement velocity is calculated on device and is based on time difference between signals. At least two signals needed to move the stroker.
HLC: Haptic Loop Control - protocol for simple up/down stroking without the need for data points. It only needs stroker velocity percentage and min/max positions for stroking range to create a loop and move according provided range.
hdc, hsc, hps, hlc "hdc"